<?php

/**
 * Content Elements
 */
$GLOBALS['TL_CTE']['extendedcolset'] = array(
	'colsStart' => 'CreoCode\ContaoColumns\Component\ContentElement\ColsStart',
	'colsPart' => 'CreoCode\ContaoColumns\Component\ContentElement\ColsPart',
	'colsEnd' => 'CreoCode\ContaoColumns\Component\ContentElement\ColsEnd'
);

/**
 * Form Fields
 */
$GLOBALS['TL_FFL']['formColsStart'] = 'CreoCode\ContaoColumns\Component\FormField\FormColsStart';
$GLOBALS['TL_FFL']['formColsPart'] = 'CreoCode\ContaoColumns\Component\FormField\FormColsPart';
$GLOBALS['TL_FFL']['formColsEnd'] = 'CreoCode\ContaoColumns\Component\FormField\FormColsEnd';

/**
 * Hooks
 */
$GLOBALS['TL_HOOKS']['clipboardCopy'][] = array(CreoCode\ContaoColumns\Listener\ComponentListener::class, 'clipboardCopy');
$GLOBALS['TL_HOOKS']['clipboardCopyAll'][] = array(CreoCode\ContaoColumns\Listener\ComponentListener::class, 'clipboardCopyAll');

/**
 * Wrapper Elements
 */
$GLOBALS['TL_WRAPPERS']['start'][] = 'colsStart';
$GLOBALS['TL_WRAPPERS']['separator'][] = 'colsPart';
$GLOBALS['TL_WRAPPERS']['stop'][] = 'colsEnd';

/**
 * Warpper Elements / Form
 */
$GLOBALS['TL_WRAPPERS']['start'][] = 'formColsStart';
$GLOBALS['TL_WRAPPERS']['separator'][] = 'formColsPart';
$GLOBALS['TL_WRAPPERS']['stop'][] = 'formColsEnd';

/**
 * Frameworks
 **/
$GLOBALS['TL_SUBCL'] = array(
    'flexbox' => array(
        'label' => 'Custom Flexbox',
        'scclass' => 'row',
        'inside' => true,
        'gap' => true
    )
);

// css & js
if (TL_MODE == 'FE') {
    $GLOBALS['TL_CSS'][] = 'bundles/contaocolumns/css/flexboxgrid/flexboxgrid.min.css|static';
}

if (TL_MODE == 'BE') {
    //$GLOBALS['TL_CSS'][] = 'bundles/contaocolumns/css/flexboxgrid/flexboxgrid.min.css|static';
    $GLOBALS['TL_CSS'][] = 'bundles/contaocolumns/css/backend-global.css|static';
    //$GLOBALS['TL_JAVASCRIPT'][] = 'bundles/contaocolumns/js/backend.js|async';
}
