<?php

$GLOBALS['TL_DCA']['tl_page']['config']['oncopy_callback'][] = array(CreoCode\ContaoColumns\Listener\ComponentListener::class,'pageCheck');

/**
 * Extend palettes
 */
 $GLOBALS['TL_DCA']['tl_page']['palettes']['__selector__'][] .= 'column_usegap';
 $GLOBALS['TL_DCA']['tl_page']['palettes']['root'] .= ';{extendedcolsets_legend:hide},column_framework,column_usegap';

/**
 * Extend subpalettes
 */
$GLOBALS['TL_DCA']['tl_page']['subpalettes']['column_usegap'] = 'column_gap,column_containermarginhorizontal,column_containermarginvertical';

/*
 * Add fields
 */
 $GLOBALS['TL_DCA']['tl_page']['fields']['column_framework'] = array(
         'label'     => &$GLOBALS['TL_LANG']['tl_page']['column_framework'],
     	'inputType' => 'select',
     	'options_callback' => array(CreoCode\ContaoColumns\Listener\ComponentListener::class,'getSets'),
     	'eval'      => array('tl_class'=>'w50'),
         'sql'       => "varchar(128) NOT NULL default ''"
 );
 $GLOBALS['TL_DCA']['tl_page']['fields']['column_usegap'] = array
 (
 	'label'		=> &$GLOBALS['TL_LANG']['tl_page']['column_usegap'],
     'exclude'   => true,
     'inputType' => 'checkbox',
     'eval'      => array('submitOnChange' => true, 'tl_class'=>'clr m12'),
     'sql'       => "char(0) NOT NULL default ''"
);
$GLOBALS['TL_DCA']['tl_page']['fields']['column_gap'] = array(
        'label'		=> &$GLOBALS['TL_LANG']['tl_page']['column_gap'],
        'exclude'   => true,
        'inputType' => 'trbl',
        'options'   => $GLOBALS['TL_CSS_UNITS'],
        'eval'      => array('includeBlankOption'=>true, 'tl_class'=>'w50'),
        'sql'       => "varchar(128) NOT NULL default ''"
);
$GLOBALS['TL_DCA']['tl_page']['fields']['column_containermarginhorizontal'] = array(
        'label'		=> &$GLOBALS['TL_LANG']['tl_page']['column_containermarginhorizontal'],
        'default'	=> 1,
        'inputType'	=> 'checkbox',
        'eval'		=> array('tl_class'=>'clr w50'),
        'sql'       => "char(1) NOT NULL default '1'"
);
$GLOBALS['TL_DCA']['tl_page']['fields']['column_containermarginvertical'] = array(
        'label'		=> &$GLOBALS['TL_LANG']['tl_page']['column_containermarginvertical'],
        'default'	=> 1,
        'inputType'	=> 'checkbox',
        'eval'		=> array('tl_class'=>'w50'),
        'sql'       => "char(1) NOT NULL default '1'"
);
